Update a deal
curl --request PUT \
--url https://api.hubapi.com/deals/v1/deal/{dealId} \
--header 'Content-Type: application/json' \
--data '
{
"properties": [
{
"name": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/deals/v1/deal/{dealId}"
payload = { "properties": [
{
"name": "<string>",
"value": "<string>"
}
] }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({properties: [{name: '<string>', value: '<string>'}]})
};
fetch('https://api.hubapi.com/deals/v1/deal/{dealId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}v1
Update a deal
The update a deal endpoint updates an existing deal in HubSpot using the dealId and JSON-specified properties in the request body. What’s a use case for this endpoint? You want to update a deal with a tracking number. To do this, you need to integrate HubSpot with your shipping software, which stores tracking numbers. Once the deal moves to a closed-won or shipping stage, the integration will use the update a deal endpoint to add a tracking number property to the deal.
PUT
/
deals
/
v1
/
deal
/
{dealId}
Update a deal
最終更新日 2026年4月10日
⌘I